<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}
	global $HTTPS;

	if ($HTTPS) {

		$_TSM["PRIV.BASE.HREF"] = "https://" . dirname( $_SERVER["HTTP_HOST"] . $_SERVER["SCRIPT_NAME"] ) . "/";
		$_TSM["PRIV.SELF_URI"]	= "https://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
	} else {
		$_TSM["PRIV.BASE.HREF"] = "http://" . dirname( $_SERVER["HTTP_HOST"] . $_SERVER["SCRIPT_NAME"] ) . "/";
		$_TSM["PRIV.SELF_URI"]	= "http://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
	}
	
	$_CONF["url"] = $_TSM["PRIV.BASE.HREF"] ;

	$_TSM["PRIV.SELF_URI_ENC"] = urlencode($_TSM["PRIV.SELF_URI"]);

	$_TSM["PRIV.SELF_URI_NV"] = @explode("?" , $_TSM["PRIV.SELF_URI"]);
	$_TSM["PRIV.SELF_URI_NV"] = $_TSM["PRIV.SELF_URI_NV"][0];
	
?>